"#import libs/utils.inc.src"
"#import libs/security.inc.src"
// GH script modified by laplongejr

//command: secureuseradd
if not imports.utils.IsRoot() then imports.utils.Exit("Must be root.")

length = imports.utils.ParamLength(params)
if length < 2 or length > 3 or imports.utils.HasFlag(params, "h", "help") then exit("<b>Usage: "+imports.utils.GetProgName()+" [user] [password] [(opt) group] --wipe</b>")

user = imports.utils.GetParam(params, 0)
pass = imports.utils.GetParam(params, 1)
group = imports.utils.GetParam(params, 2)
wipe = imports.utils.HasFlag(params, "w", "wipe")

imports.security.NewLimitedUser(user, pass, group, get_shell.host_computer, wipe)

print("User '"+user+"' is ready to use with provided password.")
if group then print("Associated with group '"+group+"') else print("No group provided")
if wipe then print("No user dir on drive") else print("Config and Trash emptied")