"#import libs/utils.inc.src"
"#import libs/security.inc.src"
// GH script modified by laplongejr

//command: secureuserchange
if not imports.utils.IsRoot() then imports.utils.Exit("Must be root.")

length = imports.utils.ParamLength(params)
if length != 3 or imports.utils.HasFlag(params, "h", "help") then exit("<b>Usage: "+imports.utils.GetProgName()+" [old user] [new user] [new password] --clean</b>")

old = imports.utils.GetParam(params, 0)
new = imports.utils.GetParam(params, 1)
pass = imports.utils.GetParam(params, 2)
clean = imports.utils.HasFlag(params, "c", "clean")

comp = get_shell.host_computer

if not comp.create_user(new, pass) then imports.utils.Exit("Error, user '"+new+"' already exists.")
print("User '"+new+"' created")
if not comp.delete_user(old, 0) then imports.utils.Exit("Error, user '"+old+"' doesn't exist.")
print("User '"+old+"' deleted")
imports.security.WipeUser(new, comp)

file = comp.File(imports.security.UserFolder(old))
if not file then exit("No user folder to transfer")
if clean then
    imports.security.CleanUser(old, comp)
    print("Removed Config and .Trash for this user")
end if
file.move("/home/",new)

print("User '"+old+"' became '"+new"' with provided password")