"#import libs/utils.inc.src"
"#import libs/file.inc.src"
"#import libs/versioning.inc.src"

// Tool to gather useful resources on a server
// TODO: Detect version and upload to rented server
// Author: laplongejr

shell = get_shell
comp = shell.host_computer
ip = get_router.public_ip

// TODO: Load metaxploit

GetFiles = function(comp, path)
    dir = comp.File(path)
    if not dir then return []
    return dir.get_files
end function

// Libraries unavailable elsewhere
for lib in GetFiles(comp,"/lib/")
    // TODO: Skip the four shop services + crypto and metaxploit
    // Load with metaxploit to obtain the real name of the lib
    // do stuff
end for

// One unversioned copy
for cmd in GetFiles(comp,"/server/")
    name = lib.name
    if name[-1] != "d" then continue
    if ["ssh","http","ftp","chat"].indexOf(name[:-1]) == null then continue
    // do stuff
end for

// UI software
for viewer in GetFiles(comp,"/server/")
    if ["EmployeesViewer.exe","StudentsViewer.exe","PoliceRecord.exe"].indexOf(viewer.name) == null then continue
end for
// TODO: Use library method
path = "/home/"+active_user+"/"
if active_user == "root" then path = "/root/"
misc = comp.File(path+"trafficNetwork")
if misc then print() // TODO: one unversioned copy

// Shop files
// For .so libraries and server software, take one copy of the oldest and the newest
// For AdminMonitor, take one unversioned copy
// For unexpected files, to be placed in an ip-specific folder
for dl in GetFiles(comp,"/Public/htdocs/downloads/")
    // TODO: Filter
    // do stuff
end for

// One unversioned copy : an empty db for our own hackshop
jobs = comp.File("/server/missions.db")
if jobs then print()
// do stuff

// Ftp server?
// To be placed in ip-specific folder
for dl in GetFiles(comp,"/Public/htdocs/downloads/")
    // do stuff
end for

// BTC : files + infos
// To be placed in ip-specific folder
for shop in GetFiles(comp,"/server/shop/")
    // do stuff
end for
for info in GetFiles(comp,"/server/info/")
    // do stuff
end for